# $Revision: 1.23 $, $Date: 2004/08/19 11:23:58 $
#
# Conditional build:
%bcond_without	alsa	# without ALSA support
#
Summary:	X11 Window Manager - Windows 95/98 like environment
Summary(pl):	Zarzdca okienek X11 - rodowisko podobne do Windows 95/98
Name:		qvwm
Version:	1.1.12
Release:	4
License:	LGPL
Group:		X11/Window Managers
Source0:	ftp://ftp.qvwm.org/pub/qvwm/%{name}-%{version}.tar.gz
# Source0-md5:	688c44ca560e42315879f5b373d94a38
Source1:        %{name}-xsession.desktop
Patch0:		%{name}-am15.patch
Patch1:		%{name}-man_MANS.patch
Patch2:		%{name}-jp2ja.patch
URL:		http://www.qvwm.org/
BuildRequires:	XFree86-devel
%{?with_alsa:BuildRequires:	alsa-lib-devel}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	esound-devel >= 0.2.6
BuildRequires:	imlib-devel >= 1.8.2
BuildRequires:	libstdc++-devel
Requires:	fileutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Qvwm is a Windows 95/98/NT like window manager for X Window System. It
allows Windows 95/98/NT users to use X Window System without
hesitation and X Window System users to use Windows 95/98/NT without
hesitation.

%description -l pl
Qvwm jest zarzdc okienek X11 wygldajcym jak Windows 95/98/NT.
Pozwala on uytkownikom 95/98/NT na wygodn prac w X Window jak i
uytkownikom X Window na swobodn prac w Windows 95/98/NT.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

for a in `find -type f -name "*jp"`
	do mv $a `echo $a | sed -e 's/jp$/ja/'`
done
mv man/jp man/ja

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
CXXFLAGS="%{rpmcflags} -fno-exceptions -fno-rtti"
%configure \
	%{!?with_alsa:--without-alsa} \
	--enable-rmtcmd \
	--enable-xsmp \
	--enable-ss

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/xsessions
install %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/xsessions/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*.en
%lang(fr) %doc doc/*.fr
%lang(ja) %doc doc/*.ja
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/xsessions/%{name}.desktop
%{_mandir}/man?/*
%lang(fr) %{_mandir}/fr/man?/*
%lang(ja) %{_mandir}/ja/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qvwm.spec,v $
Revision 1.23  2004/08/19 11:23:58  undefine
- release 4

Revision 1.22  2003/11/24 12:38:18  averne
- release 3

Revision 1.21  2003/11/11 14:45:08  qboosh
- now there is alsa on sparc*

Revision 1.20  2003/09/29 23:27:46  ankry
- removed bogus -q from %prep

Revision 1.19  2003/09/28 23:12:50  twittner
- moved script (*.jp->*.ja) from %%build to %%prep (thnx to ankry)

Revision 1.18  2003/09/28 22:56:35  adgor
- Added desktop file for gdm/kdm support

Revision 1.17  2003/09/28 22:42:47  twittner
- fixed syntax error near patch no 2

Revision 1.16  2003/09/28 03:56:40  twittner
- jp->ja: now at last builds & works

Revision 1.15  2003/09/28 02:04:19  twittner
- yet another jp->ja fix.

Revision 1.14  2003/08/31 11:26:52  ankry
- %%lang fixes

Revision 1.13  2003/08/21 21:20:03  gotar
- added fr and jp docs - there's no reason to exclude them
  (and maybe %lang() %doc would work some day)

Revision 1.12  2003/05/28 13:01:35  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:26:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/01/18 22:56:18  juandon
- removed two lines with define

Revision 1.9  2002/11/25 01:41:55  ankry
Massive attack:
- s/man[ea]d[z][ae]r/zarzdca/g
- (some) new %%doc

Revision 1.8  2002/10/07 14:21:25  qboosh
- BR: autoconf,automake

Revision 1.7  2002/06/15 14:08:31  ankry
- %%lang(ja) fixes
- release 2

Revision 1.6  2002/05/21 23:14:37  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.5  2002/05/20 13:08:31  kloczek
- added man_MANS patch (install fr and jp man pages in smarter way),
- added am15 patch and added full regenerate ac/am files,
- added "-fno-rtti -fno-exceptions" to CXXFLAGS (this cut qvwm binary size from
  ~330KB to ~260KB :).
NOTE: it will be good add desktop file for qvwm.

Revision 1.4  2002/05/19 22:33:23  misiek
- updated to 1.1.12

Revision 1.3  2002/02/22 23:29:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.2  2002/01/18 02:14:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/11/28 20:22:58  misiek
- initial pld release
